Hey Alex,
After digging a little, I've found 3 files in Graphics.UI.Gtk.Embedding:
Embedding.hsc
Plug.chs
Socket.chs
They all use the complation flag:
#if !defined(WIN32) || GTK_CHECK_VERSION(2,8,0)
I guess the problem must be something related to this, although I'm not
sure whether it's a localized issue (e.g. the flag itself is wrong) or representative of something bigger. I've noticed on the mailing lists you've had problems with cpp and
.chs files, and have suggested changing them to .chs.pp files, perhaps it might
be something to do with that? Note the first of these files is a .hsc file, and the latter
two .chs, perhaps this is the source of the problem?
Any help much appreciated, I really need to get this working!
Thanks,
Dan